Opened 9 years ago

Closed 9 years ago

#727 closed help (fixed)

Module file incompatible with compiling system

Reported by: oma Owned by: um_support
Component: UM Model Keywords:
Cc: Platform:
UM Version: 7.3

Description

Hello,

I'm trying to recompile the UM including changesets that had previously worked fine. I'm receiving the following error message in the .comp.leave file (job xgoeg)

      USE MPL, ONLY :           &
          ^                       
pathf95-1055 pathf90-4.0.9: ERROR SWAP_BOUNDS, File = /home/n02/n02/oma/xgoeg/ummodel/ppsrc/UM/control/mpp/swap_bounds-swpbnd2c.f90, 
Line = 18, Column = 11 
  Module file "/work/n02/n02/hum/gcom/pathscale/gcom3.3/hector_pa_mpp/inc/MPL.mod" is incompatible with this compiling system.  
Recompile the module with this compiling system.

The changeset I'm using is

fcm:um_br/dev/oma/VN7.3_srcadvq2/src Revision 6742

However, the error message does not seem to be related to this modification.

Would this be related to the next system upgrade in HECToR? Is there anything I should do to solve this error?

Thanks,

Oscar

Change History (2)

comment:1 Changed 9 years ago by grenville

Oscar

Regrettably, when HECToR upgraded the operating system last Wed. they removed the pathscale 3.2.99 compiler. We were not expecting this to happen. Executables built prior to last Wed. will still work but it is not worthwhile configuring the system to build with a new compiler until the switch to Interlagos which will occur on Friday.

Grenville

comment:2 Changed 9 years ago by ros

  • Resolution set to fixed
  • Status changed from new to closed
Note: See TracTickets for help on using tickets.